KWIN_DRAW_SEGMENTS(3)

FUNCTION
kwin_draw_segments - Draw multiple disjoint lines onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_segments

(KPixCanvas canvas, int *x0, int *y0, int *x1, int *y1, int num_segments, unsigned long pixel_value)

DESCRIPTION
Draw multiple disjoint lines onto a pixel canvas.

canvas
    The canvas.

x0  The horizontal start co-ordinates of the segments.

y0  The vertical start co-ordinates of the segments.

x1  The horizontal end co-ordinates of the segments.

y1  The vertical end co-ordinates of the segments.

num_segments
    The number of segments.

pixel_value
    The pixel value to use.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/